data_acquisition_unit_list = context.contentValues(portal_type='Data Acquisition Unit')
listbox_item_list = []

for data_acquisition_unit in data_acquisition_unit_list:
  destination_project = None
  for related_data_supply_line in data_acquisition_unit.Base_getRelatedObjectList(portal_type='Data Supply Line'):
    related_data_supply = related_data_supply_line.getParentValue()
    if related_data_supply:
      destination_project = related_data_supply.getDestinationProject()

  context_obj = data_acquisition_unit.asContext(destination_project=destination_project)
  listbox_item_list.append(context_obj)

return listbox_item_list
